Scrum - User story #1017

Enable the user to edit tasks pending effort for days in the past
2015-04-22 15:49 - Hassan Assalih

Status: Resolved

Priority: Normal

Category: Sprint board

Target version: Scrum v0.13.0

Blocked: No Alone:
Description

If the pending efforts were logged with some typos, then we have no means to edit them again the next day, this will make sprint
burndown graph looks very wrong, an example for this is attached, so say yesterday | edited the pending efforts with some typos, |
need to be able to edit them the next day for yesterday or any date in the past.

Subtasks:
To do # 1096: Add editable view for pending efforts Resolved

History

#1 - 2015-05-31 21:11 - Emilio Gonzalez Montaina

- Target version deleted (Scrum v0.11.0)

#2 - 2015-08-20 22:54 - Emilio Gonzalez Montaina

- Subject changed from enable the user to edit PBI pending effort for days in the past to Enable the user to edit tasks pending effort for days in the
past

- Category set to Sprint board
- Target version set to Scrum v0.13.0
- Sprint set to Sprint 22

- Position changed from 60 to 5

#3 - 2015-08-24 08:13 - Emilio Gonzalez Montana
- Sprint changed from Sprint 22 to Sprint 23

- Position changed from 7 to 1

#4 - 2015-08-24 14:37 - Emilio Gonzalez Montaina

- Status changed from New to Resolved

#5 - 2015-09-01 10:49 - Hassan Assalih

Many thanks for your efforts, is it going to be compatible with Redmine 2.6? When are you planning to release V0.13?

#6 - 2016-02-03 12:38 - Jodao Paulo Scalett
- File pending_effort.png added

| am still facing an issue when the task has no pending effort added in the past days.

E.g.

1. The task was created at Jan, 27th

2. The sprint started at Jan, 28th

3. The pending effort should have been edited at Feb, 2nd, but it was first edited at Feb, 3rd.

If | try to edit the past efforts, it does not allow me to edit any day inside the interval between Jan 28th and Feb 3rd.
Screenshot is bellow. Should | open another issue, or reopen this one?
